# pool_type.hpp File Reference

Defintion of Pool, structure used to access PoolItems, and PoolItem, base structure for Vehicle, Town, and other indexed items. More...

Go to the source code of this file.

## Data Structures
struct | Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >
| Base class for all pools. More...
struct | Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >
| Base class for all PoolItems. More...
struct | Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::AllocCache
| Helper struct to cache 'freed' PoolItems so we do not need to allocate them again. More...
## Defines
#define | FOR_ALL_ITEMS_FROM(type, iter, var, start)
#define | FOR_ALL_ITEMS(type, iter, var) FOR_ALL_ITEMS_FROM(type, iter, var, 0)

## Detailed Description

Defintion of Pool, structure used to access PoolItems, and PoolItem, base structure for Vehicle, Town, and other indexed items.

Definition in file pool_type.hpp.

## Define Documentation

#define FOR_ALL_ITEMS_FROM | ( | type,
|  | iter,
|  | var,
|  | start |  | ) |

Value:

    for (size_t iter = start; var = NULL, iter < type::GetPoolSize(); iter++) \
        if ((var = type::Get(iter)) != NULL)

Definition at line 290 of file pool_type.hpp.